/*
=============== 
Variables
===============
*/

:root {
  /* dark shades of primary color*/
  --clr-primary-1: hsl(184, 91%, 17%);
  --clr-primary-2: hsl(185, 84%, 25%);
  --clr-primary-3: hsl(185, 81%, 29%);
  --clr-primary-4: hsl(184, 77%, 34%);
  /* primary/main color */
  --clr-primary-5: hsl(185, 62%, 45%);
  /* lighter shades of primary color */
  --clr-primary-6: hsl(185, 57%, 50%);
  --clr-primary-7: hsl(184, 65%, 59%);
  --clr-primary-8: hsl(184, 80%, 74%);
  --clr-primary-9: hsl(185, 94%, 87%);
  --clr-primary-10: hsl(186, 100%, 94%);
  /* darkest grey - used for headings */
  --clr-grey-1: hsl(209, 61%, 16%);
  --clr-grey-2: hsl(211, 39%, 23%);
  --clr-grey-3: hsl(209, 34%, 30%);
  --clr-grey-4: hsl(209, 28%, 39%);
  /* grey used for paragraphs */
  --clr-grey-5: hsl(210, 22%, 49%);
  --clr-grey-6: hsl(209, 23%, 60%);
  --clr-grey-7: hsl(211, 27%, 70%);
  --clr-grey-8: hsl(210, 31%, 80%);
  --clr-grey-9: hsl(212, 33%, 89%);
  --clr-grey-10: hsl(210, 36%, 96%);
  --clr-white: #fff;
  --ff-primary: 'Lato', sans-serif;
  --transition: all 0.1s linear;
  --spacing: 0.06rem;
  --radius: 0.5rem;
  --light-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
  --dark-shadow: 0 5px 15px rgba(0, 0, 0, 0.4);
}
/*
=============== 
Global Styles
===============
*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
}


#content {
  min-height: calc(100vh - 40px);
}

ul {
  list-style-type: none;
}
a {
  text-decoration: none;
  color:#333;
}

/* section */
.section {
  padding: 4rem 0;
  scroll-margin-top: 4rem;
}

.section-title {
  font-family: "Cormorant Garamond", serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;
  text-align: center;
  margin-bottom: 2rem;
  margin-top: 2rem;
}
.carousel-title {
  text-align: center;
  margin-bottom: 3rem;
  margin-top: 2rem;
}
.section-title h2 {
  text-transform: uppercase;
}
.section-title span {
  color: var(--clr-primary-5);
}
.section-center {
  width: 90vw;
  margin: 0 auto;
  max-width: 1170px;
}
@media screen and (min-width: 992px) {
  .section-center {
    /*width: 95vw;*/
    width: 68vw;
  }
}




/*
=============== 
Cards
===============
*/
.card-card {
  transition: var(--transition);
  background: #f6f1f1;
  box-shadow: 0 4px 4px rgba(57, 59, 28, 0.4);
  margin-bottom: 2rem;
}
.card-card:hover {
  box-shadow: 0 5px 15px rgba(57, 59, 28, 0.4);
  transform: scale(1.01);
}
.card-img-container {
  position: relative;
}
.card-img {
  height: 21rem;
  object-fit: cover;
}

.card-img-drawings{
  height: 25rem;
  object-fit: cover;
}

.card-date {
  position: absolute;
  right: 0;
  bottom: 0;
  background: var(--clr-primary-8);
  color: var(--clr-primary-1);
  text-transform: capitalize;
  padding: 0.25rem 0.5rem;
  margin-bottom: 0;
}
.card-info {
  padding: 1.25rem 1.5rem;
}
/* additional css for different layout*/
.card-title {
  text-align:center;
 
  justify-content: space-between;
  flex-wrap: wrap;
  height: 4.3em;
}

.drawing_section_title{
  text-align:center;
  padding: 1.2rem;
  font-size: 1.1em;
  font-weight: 200;
  text-transform:uppercase;
}

.drawing_title {
  text-align:left;
  padding: 1.2rem;
  font-size: 1em;
  font-weight: 200;
  text-transform:none;
  border:0px solid red;
  width:80%;
  float:left;
}

.drawing_large_title {
  text-align:left;
  padding: 1.2rem;
  padding-top:0;
  padding-left:0;
  font-size: 1.2em;
  font-weight: 200;
  text-transform:none;
  border:0px solid red;
  width:100%;
  float:left; 
}

.drawing_large_title img{
  border:0px solid red;
  width:10%;
  float:left; 
}

.drawing_large_title img{
  padding: 0;
  width:3%;
  float:left; 
}

.drawing_fullscreen_btn{
  padding: 1.2rem;
  border:0px solid red;
  width:15%;
  float:right;
}

.drawing_fullscreen_btn img{
  width:60%;
  float:right;
}

.drawing_section_title a:link{
  color:#404040;
}


/* end of additional css for different layout*/
.card-footer {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: center;
}
.card-footer-sold {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: center;
  font-weight: 600;
  font-size: 140%;
}
.card-footer p {
  line-height: 0;
  margin-bottom: 0;
  text-transform: capitalize;
  color: var(--clr-primary-5);
}
.card-footer p span {
  margin-right: 0.25rem;
}
.card-btn {
  text-align: center;
}

/*-- MOBILE PORTRAIT --*/
@media screen and (max-width: 768px) and (orientation: portrait){
  .card-card {
    transition: var(--transition);
    background: #f6f1f1;
    box-shadow: 0 4px 4px rgba(57, 59, 28, 0.4);
    margin-bottom: 5rem;
}

.drawing_large_title {
  text-align:left;
  padding: 1.2rem;
  padding-top:0;
  padding-left:0;
  font-size: 1.2em;
  font-weight: 200;
  text-transform:none;
  border:0px solid red;
  width:100%;
  float:left; 
}

.drawing_large_title img{
  border:0px solid #404040;
  width: 11%;
  padding-left: 4%;
  padding-top: 4%;
  float: left;
  
}

.drawing_fullscreen_btn{
  padding: 0;
  padding-top: 0.2rem;
  border: 0px solid red;
  width: 16%;
  float: right;
}

}



@media screen and (min-width: 768px) {
  .featured-center {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 3rem;
  }
}

@media screen and (min-width: 768px) {
  .featured-drawings {
    grid-template-columns: 1fr 1fr ;
    display: grid;
    gap:2rem;
  }
}

@media screen and (min-width: 1170px) {
  .featured-center {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@media screen and (min-width: 1170px) {
  .featured-drawings {
    grid-template-columns: 1fr 1fr;
    display: grid;
    gap:2rem;
    width:90%;
  }
}

/*
=============== 
Carousel page 
===============
*/
.back_btn {
  position: absolute;
  top: 2.4em;
  left: 4em;
  font-size: 1.4em;
  border: 1px solid #666;
}

.carousel_section {
  padding: 1rem 0 0 0;
  scroll-margin-top: 4rem;
}
.carousel_info_grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 2rem;
  width:50%;
}
.carousel_info_section {
  padding: 1rem 0 5rem 0;
  scroll-margin-top: 4rem; 
}
.carousel_info {
  margin-bottom: 1rem;
  scroll-margin-top: 4rem; 
}
.carousel_price {
  font-size: 1.95em;
  margin-top:0;
  padding:0;
  border:
  0px solid red
}
.hero-btn-carousel {
  padding:0.6rem 1.3rem;
  font-size: 0.9rem;
  margin:0 0 5rem 0;
}
.hero-btn-carousel:hover {
  background: #666; 
  color: var(--clr-white);
}

/*
=============== 
Contact Form
===============
*/

/*
.contact_titleOLD {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto,
  Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  font-weight:400;
  color: #333;
  line-height: 1.5;
  margin: 0 0 2.5rem 0;
  font-size:2em;  
}
*/

.contact_title {
  font-family: "Cormorant Garamond", serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;
  text-align: center;
  margin-bottom: 2rem;
  font-size: 3em;
}

.contact_title_subscribe {
  font-family: "Cormorant Garamond", serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;
  text-align: center;
  margin-bottom: 2rem;
  font-size: 2.3em;
}


